Index: code/branches/FICN/src/loader/LevelLoader.h
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.h	(revision 376)
+++ code/branches/FICN/src/loader/LevelLoader.h	(revision 379)
@@ -9,4 +9,5 @@
 #include <iostream>
 
+#include "loader_platform.h"
 #include "xml/xmlParser.h"
 
@@ -18,10 +19,10 @@
 namespace loader
 {
-	class LevelLoader
+	class _LoaderExport LevelLoader
 	{
 	private:
 		
 		// XML Nodes 
-		XMLNode rootNode;  
+		XMLNode rootNode;
 		XMLNode worldNode;
 		XMLNode scriptNode;
Index: code/branches/FICN/src/loader/Light.h
===================================================================
--- code/branches/FICN/src/loader/Light.h	(revision 376)
+++ code/branches/FICN/src/loader/Light.h	(revision 379)
@@ -1,3 +1,4 @@
 
+#include "loader_platform.h"
 #include "xml/xmlParser.h"
 
@@ -7,5 +8,5 @@
 namespace light
 {
-	class Light
+	class _LoaderExport Light
 	{
 	public:      
Index: code/branches/FICN/src/loader/LightManager.h
===================================================================
--- code/branches/FICN/src/loader/LightManager.h	(revision 376)
+++ code/branches/FICN/src/loader/LightManager.h	(revision 379)
@@ -1,4 +1,5 @@
 #include <vector>
 
+#include "loader_platform.h"
 #include "xml/xmlParser.h"
 #include "Light.h"
@@ -9,5 +10,5 @@
 namespace light
 {
-	class LightManager
+	class _LoaderExport LightManager
 	{      
 	public:
Index: code/branches/FICN/src/loader/loader_platform.h
===================================================================
--- code/branches/FICN/src/loader/loader_platform.h	(revision 379)
+++ code/branches/FICN/src/loader/loader_platform.h	(revision 379)
@@ -0,0 +1,44 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#ifndef LOADER_PLATFORM_H
+#define LOADER_PLATFORM_H
+
+
+#if defined( __WIN32__ ) || defined( _WIN32 )
+  #ifdef LOADER_BUILD
+    #define _LoaderExport __declspec( dllexport )
+  #else
+    #define _LoaderExport __declspec( dllimport )
+  #endif
+#else
+  #define _LoaderExport
+#endif
+
+
+#endif /* LOADER_PLATFORM_H */
Index: code/branches/FICN/src/loader/loader_prereq.h
===================================================================
--- code/branches/FICN/src/loader/loader_prereq.h	(revision 379)
+++ code/branches/FICN/src/loader/loader_prereq.h	(revision 379)
@@ -0,0 +1,43 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software: you can redistribute it and/or modify
+ *   it under the terms of the GNU General Public License as published by
+ *   the Free Software Foundation, either version 3 of the License, or
+ *   (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#ifndef LOADER_PREREQUISITES_H
+#define LOADER_PREREQUISITES_H
+
+#include "loader_platform.h"
+
+namespace loader {
+
+  class LevelLoader;
+  class Light;
+  class LightManager;
+
+}
+
+
+#endif /* LOADER_PREREQUISITES_H */
Index: code/branches/FICN/src/orxonox/orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/orxonox.cc	(revision 379)
@@ -31,5 +31,15 @@
  */
 
-#include <Ogre.h>
+//#include <Ogre.h>
+// 40% speed up: (instead of Ogre.h)
+#include <OgreSceneNode.h>
+#include <OgreSceneManager.h>
+#include <OgreRoot.h>
+#include <OgreFrameListener.h>
+#include <OgreConfigFile.h>
+#include <OgreTextureManager.h>
+#include <OgreEntity.h>
+#include <OgreRenderWindow.h>
+
 #include <OIS/OIS.h>
 //#include <CEGUI/CEGUI.h>
Index: code/branches/FICN/src/orxonox/spaceship_steering.cc
===================================================================
--- code/branches/FICN/src/orxonox/spaceship_steering.cc	(revision 376)
+++ code/branches/FICN/src/orxonox/spaceship_steering.cc	(revision 379)
@@ -1,3 +1,3 @@
-#include "Ogre.h"
+#include "OgreSceneNode.h"
 #include "spaceship_steering.h"
 using namespace Ogre;