Index: code/branches/audio/src/audio/AudioBuffer.h
===================================================================
--- code/branches/audio/src/audio/AudioBuffer.h	(revision 388)
+++ code/branches/audio/src/audio/AudioBuffer.h	(revision 394)
@@ -2,11 +2,5 @@
 #define AUDIOBUFFER_H_
 
-#include <iostream>
-#include <string>
-#include <vector>
-
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
+#include "AudioIncludes.h"
 
 namespace audio
Index: code/branches/audio/src/audio/AudioIncludes.h
===================================================================
--- code/branches/audio/src/audio/AudioIncludes.h	(revision 394)
+++ code/branches/audio/src/audio/AudioIncludes.h	(revision 394)
@@ -0,0 +1,12 @@
+#include <iostream>
+#include <string>
+#include <vector>
+
+#include <AL/al.h>
+#include <AL/alc.h>
+#include <AL/alut.h>
+#include <ogg/ogg.h>
+#include <vorbis/codec.h>
+#include <vorbis/vorbisenc.h>
+#include <vorbis/vorbisfile.h>
+
Index: code/branches/audio/src/audio/AudioManager.cc
===================================================================
--- code/branches/audio/src/audio/AudioManager.cc	(revision 388)
+++ code/branches/audio/src/audio/AudioManager.cc	(revision 394)
@@ -5,5 +5,5 @@
 	AudioManager::AudioManager()
 	{
-		
+	
 	}
 		
Index: code/branches/audio/src/audio/AudioManager.h
===================================================================
--- code/branches/audio/src/audio/AudioManager.h	(revision 388)
+++ code/branches/audio/src/audio/AudioManager.h	(revision 394)
@@ -2,11 +2,5 @@
 #define AUDIOMANAGER_H_
 
-#include <iostream>
-#include <string>
-#include <vector>
-
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
+#include "AudioIncludes.h"
 
 #include "AudioBuffer.h"
@@ -33,6 +27,4 @@
 		void loadParams();
 	private:
-
-	
 		// Vector containing all audio files
 		std::vector<AudioBuffer> buffers;
Index: code/branches/audio/src/audio/AudioSource.h
===================================================================
--- code/branches/audio/src/audio/AudioSource.h	(revision 388)
+++ code/branches/audio/src/audio/AudioSource.h	(revision 394)
@@ -2,11 +2,5 @@
 #define AUDIOSOURCE_H_
 
-#include <iostream>
-#include <string>
-#include <vector>
-
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
+#include "AudioIncludes.h"
 
 namespace audio
Index: code/branches/audio/src/audio/CMakeLists.txt
===================================================================
--- code/branches/audio/src/audio/CMakeLists.txt	(revision 388)
+++ code/branches/audio/src/audio/CMakeLists.txt	(revision 394)
@@ -7,4 +7,5 @@
 )
 SET(INC_FILES 
+	AudioIncludes.h
 	AudioManager.h
 	AudioBuffer.h
@@ -15,5 +16,5 @@
 ADD_LIBRARY(audio ${SRC_FILES} ${INC_FILES})
 
-TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${OGGVORBIS_LIBRARY})
+TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${OGGVORBIS_LIBRARY}  ${OGG_LIBRARY} ${VORBIS_LIBRARY} ${VORBISENC_LIBRARY} ${VORBISFILE_LIBRARY}) 
 
 
Index: code/branches/audio/src/audio/_Ambient.cc
===================================================================
--- code/branches/audio/src/audio/_Ambient.cc	(revision 388)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#include <iostream>
-#include <string>
-#include "Ambient.h"
-
-namespace audio
-{
-	Ambient::Ambient(std::string audioFile)
-	{
-		a = new AudioObject(audioFile);
-	}
-	
-	Ambient::~Ambient()
-	{	
-		
-	}
-	
-	void Ambient::play()
-	{
-		a->play();	
-	}
-}
-
Index: code/branches/audio/src/audio/_Ambient.h
===================================================================
--- code/branches/audio/src/audio/_Ambient.h	(revision 388)
+++ 	(revision )
@@ -1,24 +1,0 @@
-#ifndef __CLASS_AMBIENT_H__
-#define __CLASS_AMBIENT_H__
-
-#include <iostream>
-#include "../../include/AL/al.h"
-#include "../../include/AL/alc.h"
-#include "../../include/AL/alut.h"
-
-#include "AudioObject.h"
-
-namespace audio
-{
-	class Ambient
-	{
-	public:
-		Ambient(std::string audioFile);
-		~Ambient();
-		void play();
-	private:
-		AudioObject* a;
-	};
-}
-
-#endif
Index: code/branches/audio/src/audio/_AudioObject.cc
===================================================================
--- code/branches/audio/src/audio/_AudioObject.cc	(revision 388)
+++ 	(revision )
@@ -1,113 +1,0 @@
-#include <iostream>
-#include <string>
-#include "AudioObject.h"
-
-namespace audio
-{
-	AudioObject::AudioObject(std::string audioFile)
-	{
-		audioFile_ = audioFile;
-		SourcePos[0]=0;
-		SourcePos[1]=0;
-		SourcePos[2]=0;
-
-		 SourceVel[0]=0;
-		 SourceVel[1]=0;
-		 SourceVel[2]=0;
-
-		 ListenerPos[0]=0;
-		 ListenerPos[1]=0;
-		 ListenerPos[2]=0;
-
-		 ListenerVel[0]=0;
-		 ListenerVel[1]=0;
-		 ListenerVel[2]=0;
-
-		 ListenerOri[0]=0;
-		 ListenerOri[1]=0;
-		 ListenerOri[2]=-1;
-		 ListenerOri[3]=0;
-		 ListenerOri[4]=1;
-		 ListenerOri[5]=0;
-
-
-		// Initialize OpenAL and clear the error bit.
-	
-		alutInit(NULL, 0);
-		alGetError();
-	
-		// Load the wav data.
-	
-		if(LoadALData() == AL_FALSE)
-		{
-		    printf("Error loading sound data.");
-			
-		}
-
-		SetListenerValues();
-		std::cout << "Play sone ambient background sound";
-	}
-	
-	AudioObject::~AudioObject()
-	{	
-		KillALData();
-	}
-	
-	ALboolean AudioObject::LoadALData()
-	{
-		ALenum format;
-		ALsizei size;
-		ALvoid* data;
-		ALsizei freq;
-		ALboolean loop;
-	
-	
-		alGenBuffers(1, &Buffer);
-	
-		if(alGetError() != AL_NO_ERROR)
-			return AL_FALSE;
-	
-		alutLoadWAVFile((ALbyte*)audioFile_.c_str(), &format, &data, &size, &freq, &loop);
-		alBufferData(Buffer, format, data, size, freq);
-		alutUnloadWAV(format, data, size, freq);
-	
-		alGenSources(1, &Source);
-	
-		if(alGetError() != AL_NO_ERROR)
-			return AL_FALSE;
-	
-		alSourcei (Source, AL_BUFFER,   Buffer   );
-		alSourcef (Source, AL_PITCH,    1.0      );
-		alSourcef (Source, AL_GAIN,     1.0      );
-		alSourcefv(Source, AL_POSITION, SourcePos);
-		alSourcefv(Source, AL_VELOCITY, SourceVel);
-		alSourcei (Source, AL_LOOPING,  loop     );
-	
-		if(alGetError() == AL_NO_ERROR)
-			return AL_TRUE;
-	
-	
-		return AL_FALSE;
-	}	
-
-	void AudioObject::SetListenerValues()
-	{
-		alListenerfv(AL_POSITION,    ListenerPos);
-		alListenerfv(AL_VELOCITY,    ListenerVel);
-		alListenerfv(AL_ORIENTATION, ListenerOri);
-	}
-	
-	void AudioObject::KillALData()
-	{
-		alDeleteBuffers(1, &Buffer);
-		alDeleteSources(1, &Source);
-		alutExit();
-	}
-
-	void AudioObject::play()
-	{
-		alSourcePlay(Source);
-	
-	}
-}
-
Index: code/branches/audio/src/audio/_AudioObject.h
===================================================================
--- code/branches/audio/src/audio/_AudioObject.h	(revision 388)
+++ 	(revision )
@@ -1,38 +1,0 @@
-#ifndef AUDIOOBJECT_H_
-#define AUDIOOBJECT_H_
-
-#include <iostream>
-#include "../../include/AL/al.h"
-#include "../../include/AL/alc.h"
-#include "../../include/AL/alut.h"
-
-namespace audio
-{
-	class AudioObject
-	{
-	public:
-		AudioObject(std::string audioFile);
-		~AudioObject();
-
-		void play();
-		void pause();
-		void stop();
-
-	private:
-		ALboolean LoadALData();	
-		void SetListenerValues();
-		void KillALData();
-		
-		std::string audioFile_;
-		
-		ALuint Buffer;
-		ALuint Source;
-		ALfloat SourcePos[3];
-		ALfloat SourceVel[3];
-		ALfloat ListenerPos[3];
-		ALfloat ListenerVel[3];
-		ALfloat ListenerOri[6];
-	};	
-}
-
-#endif /*AUDIOOBJECT_H_*/