Index: /code/branches/FICN/CMakeLists.txt
===================================================================
--- /code/branches/FICN/CMakeLists.txt	(revision 401)
+++ /code/branches/FICN/CMakeLists.txt	(revision 402)
@@ -63,10 +63,10 @@
 FIND_PACKAGE(OpenAL)
 FIND_PACKAGE(ALUT)
-#FIND_PACKAGE(OggVorbis)
+FIND_PACKAGE(OggVorbis)
 
 #Sets the search paths for the linking
-LINK_DIRECTORIES(${OGRE_LIB_DIR} ${OIS_LIB_DIR} ${CEGUI_LIB_DIR} ${CEGUI_OGRE_LIB_DIR} ${ENet_LIBRARY} ${Boost_LIBRARY_DIRS} ${OPENAL_LIBRARY} ${ALUT_LIBRARY} core objects loader network weapon classHierarchy audio)
+LINK_DIRECTORIES(${OGRE_LIB_DIR} ${OIS_LIB_DIR} ${CEGUI_LIB_DIR} ${CEGUI_OGRE_LIB_DIR} ${ENet_LIBRARY} ${Boost_LIBRARY_DIRS} core objects loader network weapon classHierarchy audio)
 #Sets the search path for include files
-INCLUDE_DIRECTORIES(${OGRE_INCLUDE_DIR} ${OIS_INCLUDE_DIR} ${CEGUI_INCLUDE_DIR} ${CEGUI_OGRE_INCLUDE_DIR} ${ENet_INCLUDE_DIR} ${Boost_INCLUDE_DIRS} ${OPENAL_INCLUDE_DIR} ${ALUT_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${OGRE_INCLUDE_DIR} ${OIS_INCLUDE_DIR} ${CEGUI_INCLUDE_DIR} ${CEGUI_OGRE_INCLUDE_DIR} ${ENet_INCLUDE_DIR} ${Boost_INCLUDE_DIRS} ${OPENAL_INCLUDE_DIR} ${ALUT_INCLUDE_DIR} ${OGG_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})
 
 #add main source dir
Index: /code/branches/FICN/cmake/FindOggVorbis.cmake
===================================================================
--- /code/branches/FICN/cmake/FindOggVorbis.cmake	(revision 401)
+++ /code/branches/FICN/cmake/FindOggVorbis.cmake	(revision 402)
@@ -1,6 +1,95 @@
 
-SET(OGGVORBIS_LIBRARY_DIR "/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0/lib")
-SET(OGGVORBIS_LIBRARY "${OGGVORBIS_LIBRARY_DIR}/libvorbisenc.so ${OGGVORBIS_LIBRARY_DIR}/libvorbisfile.so ${OGGVORBIS_LIBRARY_DIR}/libogg.so ${OGGVORBIS_LIBRARY_DIR}/libvorbis.so ")
-SET(OGGVORBIS_INCLUDE_DIR "/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0/include")
+#SET(OGGVORBIS_LIBRARY_DIR "/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0/lib")
+#SET(OGGVORBIS_LIBRARY "-L ${OGGVORBIS_LIBRARY_DIR} -lvorbisenc -lvorbisfile -logg -lvorbis ")
+#SET(OGGVORBIS_INCLUDE_DIR "/usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0/include")
 
-MESSAGE(STATUS "OggVorbis was found. Libdir ${OGGVORBIS_LIBRARY_DIR} Includedir ${OGGVORBIS_INCLUDE_DIR}")
+#
+# Includes
+#
+
+FIND_PATH(OGG_INCLUDE_DIR ogg/ogg.h
+  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0/include 		# Tardis specific hack
+  /usr/local/include
+  /usr/include
+  /sw/include
+  /opt/local/include
+  /opt/csw/include
+  /opt/csw/include
+  /opt/include
+  )
+
+FIND_PATH(VORBIS_INCLUDE_DIR vorbis/codec.h
+  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.0/include 		# Tardis specific hack
+  /usr/local/include
+  /usr/include
+  /sw/include
+  /opt/local/include
+  /opt/csw/include
+  /opt/csw/include
+  /opt/include
+  )
+
+#
+# Libs
+#
+
+FIND_LIBRARY(OGG_LIBRARY
+  NAMES ogg
+  PATHS
+	/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
+  /usr/local/lib
+  /usr/lib
+  /sw/lib
+  /opt/local/lib
+  /opt/csw/lib
+  /opt/lib
+  )
+
+FIND_LIBRARY(VORBIS_LIBRARY
+  NAMES vorbis
+  PATHS
+	/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
+  /usr/local/lib
+  /usr/lib
+  /sw/lib
+  /opt/local/lib
+  /opt/csw/lib
+  /opt/lib
+  )
+
+FIND_LIBRARY(VORBISENC_LIBRARY
+  NAMES vorbisenc
+  PATHS
+	/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
+  /usr/local/lib
+  /usr/lib
+  /sw/lib
+  /opt/local/lib
+  /opt/csw/lib
+  /opt/lib
+  )
+
+FIND_LIBRARY(VORBISFILE_LIBRARY
+  NAMES vorbisfile
+  PATHS
+	/usr/pack/openal-0.0.8-cl/i686-debian-linux3.1/lib
+  /usr/local/lib
+  /usr/lib
+  /sw/lib
+  /opt/local/lib
+  /opt/csw/lib
+  /opt/lib
+  )
+
+SET(OGG_FOUND "NO")
+IF(OGG_LIBRARY)
+  SET(OGG_FOUND "YES")
+	MESSAGE(STATUS "Ogg was found. Libdir ${OGG_LIBRARY} Includedir ${OGG_INCLUDE_DIR}")
+ENDIF(OGG_LIBRARY)
+
+SET(VORBIS_FOUND "NO")
+IF(VORBIS_LIBRARY)
+  SET(VORBIS_FOUND "YES")
+	MESSAGE(STATUS "Vorbis was found. Libdir ${VORBIS_LIBRARY} Includedir ${VORBIS_INCLUDE_DIR}")
+ENDIF(VORBIS_LIBRARY)
+
Index: /code/branches/FICN/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/audio/CMakeLists.txt	(revision 401)
+++ /code/branches/FICN/src/audio/CMakeLists.txt	(revision 402)
@@ -15,5 +15,5 @@
 ADD_LIBRARY(audio ${SRC_FILES} ${INC_FILES})
 
-TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${OGGVORBIS_LIBRARY})
+TARGET_LINK_LIBRARIES(audio ${OPENAL_LIBRARY} ${ALUT_LIBRARY} ${OGG_LIBRARY} ${VORBIS_LIBRARY} ${VORBISFILE_LIBRARY} ${VORBISENC_LIBRARY})
 
 