Index: code/branches/FICN/src/network/Client.cc
===================================================================
--- code/branches/FICN/src/network/Client.cc	(revision 403)
+++ code/branches/FICN/src/network/Client.cc	(revision 405)
@@ -73,5 +73,4 @@
    */
   bool Client::sendMouse(double x, double y){
-    ENetEvent event;
     // generate packet and add it to the queue
     if(!client_connection.addPacket(pck_gen.mousem(x, y)))
@@ -87,5 +86,4 @@
    */
   bool Client::sendKeyboard(char key_code){
-    ENetEvent event;
     // generate packet and add it to queue
     if(!client_connection.addPacket(pck_gen.keystrike(key_code)))
@@ -115,5 +113,4 @@
    */
   bool Client::addKeyboard(char key_code){
-    ENetEvent event;
     // generate packet and add it to queue
     if(client_connection.addPacket(pck_gen.keystrike(key_code)))
@@ -149,5 +146,5 @@
   }
   
-  void Client::processGamestate( GameState *data){
+  void Client::processGamestate( GameStateCompressed *data){
     gamestate.loadSnapshot( *data );
     return;
Index: code/branches/FICN/src/network/Client.h
===================================================================
--- code/branches/FICN/src/network/Client.h	(revision 403)
+++ code/branches/FICN/src/network/Client.h	(revision 405)
@@ -56,5 +56,5 @@
   
   // implement data processing functions of PacketDecoder
-  void processGamestate( GameState *data);
+  void processGamestate( GameStateCompressed *data);
   void processClassid(classid *clid);
 
Index: code/branches/FICN/src/network/GameStateManager.cc
===================================================================
--- code/branches/FICN/src/network/GameStateManager.cc	(revision 403)
+++ code/branches/FICN/src/network/GameStateManager.cc	(revision 405)
@@ -27,5 +27,5 @@
  * @return struct of type gamestate containing the size of the whole gamestate and a pointer linking to the flat list
  */
-GameState GameStateManager::getSnapshot(int id)
+GameStateCompressed GameStateManager::getSnapshot(int id)
 {
   //the size of the gamestate
@@ -63,5 +63,5 @@
   }
   retval.size=totalsize;
-  return retval;
+  return compress(retval);
 }
 
@@ -70,6 +70,7 @@
  * @param state a GameState struct containing the size of the gamestate and a pointer linking to a flat list (returned by getSnapshot)
  */
-bool GameStateManager::loadSnapshot(GameState state)
+bool GameStateManager::loadSnapshot(GameStateCompressed compstate)
 {
+  GameState state = decompress(compstate);
   unsigned char *data=state.data;
   // get the start of the Synchronisable list
@@ -125,10 +126,10 @@
 }
 
-GameState GameStateManager::encode(GameState a, GameState b){
+GameStateCompressed GameStateManager::encode(GameState a, GameState b){
   GameState r = diff(a,b);
   return compress(r);
 }
 
-GameState GameStateManager::decode(GameState a, GameState x){
+GameState GameStateManager::decode(GameState a, GameStateCompressed x){
   GameState t = decompress(x);
   return diff(a, t);
@@ -167,12 +168,14 @@
 }
 
-GameState GameStateManager::compress(GameState a){
-  a.
-  return a;
+GameStateCompressed GameStateManager::compress(GameState a){
+  //to be implemented
+  GameStateCompressed b;
+  return b;
 }
 
-GameState GameStateManager::decompress(GameState a){
+GameState GameStateManager::decompress(GameStateCompressed a){
   // to be implemented !!!!!!!!!!!!!!
-  return a;
+  GameState b;
+  return b;
 }
 
Index: code/branches/FICN/src/network/GameStateManager.h
===================================================================
--- code/branches/FICN/src/network/GameStateManager.h	(revision 403)
+++ code/branches/FICN/src/network/GameStateManager.h	(revision 405)
@@ -62,13 +62,13 @@
   GameStateManager();
   ~GameStateManager();
-  GameState getSnapshot(int id);
-  bool loadSnapshot(GameState state);
-  GameState encode(GameState a, GameState b);
-  GameState decode(GameState a, GameState x);
+  GameStateCompressed getSnapshot(int id);
+  bool loadSnapshot(GameStateCompressed state);
+  GameStateCompressed encode(GameState a, GameState b);
+  GameState decode(GameState a, GameStateCompressed x);
 private:
   void removeObject(orxonox::Iterator<Synchronisable> &it);
   GameState diff(GameState a, GameState b);
-  GameState compress(GameState a);
-  GameState decompress(GameState a);
+  GameStateCompressed compress(GameState a);
+  GameState decompress(GameStateCompressed a);
 };
 
Index: code/branches/FICN/src/network/PacketDecoder.cc
===================================================================
--- code/branches/FICN/src/network/PacketDecoder.cc	(revision 403)
+++ code/branches/FICN/src/network/PacketDecoder.cc	(revision 405)
@@ -121,5 +121,5 @@
 	memcpy( (void*)&(currentState->normsize), (const void*)(data+3*sizeof( int )), sizeof( int ) );
 	//since data is not allocated, because it's just a pointer, allocate it with size of gamestatedatastream
-	currentState->data = (unsigned char*)(malloc( currentState->size ));
+	currentState->data = (unsigned char*)(malloc( currentState->compsize ));
 	//copy the GameStateCompressed data
 	memcpy( (void*)(currentState->data), (const void*)(data+4*sizeof( int )), currentState->compsize );
@@ -186,5 +186,5 @@
 {
 	cout << "id of GameStateCompressed:   " << data->id << endl;
-	cout << "size of GameStateCompressed: " << data->size << endl;
+	cout << "size of GameStateCompressed: " << data->compsize << endl;
 }
 
Index: code/branches/FICN/src/network/PacketGenerator.cc
===================================================================
--- code/branches/FICN/src/network/PacketGenerator.cc	(revision 403)
+++ code/branches/FICN/src/network/PacketGenerator.cc	(revision 405)
@@ -72,6 +72,7 @@
 ENetPacket* PacketGenerator::gstate( GameStateCompressed* states, int reliable )
 {
-	int* gid; *gid = GAMESTATE; //first assign the correct enet id
-	int totalLen = 3*sizeof( int ) + states->size; //calculate the total size of the datastream memory
+	int* gid = new int; 
+        *gid = GAMESTATE; //first assign the correct enet id
+	int totalLen = 3*sizeof( int ) + states->compsize; //calculate the total size of the datastream memory
 	unsigned char* data = (unsigned char*)malloc( totalLen ); //allocate the memory for datastream
 	memcpy( (void*)(data), (const void*)gid, sizeof( int ) ); //this is the enet id
Index: code/branches/FICN/src/network/PacketManager.h
===================================================================
--- code/branches/FICN/src/network/PacketManager.h	(revision 403)
+++ code/branches/FICN/src/network/PacketManager.h	(revision 405)
@@ -33,5 +33,5 @@
 	ENetPacket* keystrike( char press, int reliable = ENET_PACKET_FLAG_RELIABLE );
 	ENetPacket* chatMessage( const char* message, int reliable = ENET_PACKET_FLAG_RELIABLE );
-	ENetPacket* gstate( GameState* states, int reliable = ENET_PACKET_FLAG_RELIABLE );
+	ENetPacket* gstate( GameStateCompressed* states, int reliable = ENET_PACKET_FLAG_RELIABLE );
         ENetPacket* clid( int classid, std::string classname, int reliable = ENET_PACKET_FLAG_RELIABLE );
 private:
@@ -116,5 +116,5 @@
 	void printKey( keyboard* data );
 	void printChat( chat* data );
-	void printGamestate( GameState* data );
+	void printGamestate( GameStateCompressed* data );
     void printClassid( classid *cid);
 };
Index: code/branches/FICN/src/network/Synchronisable.cc
===================================================================
--- code/branches/FICN/src/network/Synchronisable.cc	(revision 403)
+++ code/branches/FICN/src/network/Synchronisable.cc	(revision 405)
@@ -131,4 +131,5 @@
       return false; //there was some problem with registerVar
   }
+  return true;
 }
 