Index: /code/branches/FICN/cmake/FindALUT.cmake
===================================================================
--- /code/branches/FICN/cmake/FindALUT.cmake	(revision 408)
+++ /code/branches/FICN/cmake/FindALUT.cmake	(revision 409)
@@ -82,5 +82,5 @@
 IF(ALUT_LIBRARY)
   SET(ALUT_FOUND "YES")
-	MESSAGE(STATUS "FreeAlut was found. Libdir ${ALUT_LIBRARY} Includedir ${ALUT_INCLUDE_DIR}")
+	MESSAGE(STATUS "FreeAlut was found")
 ENDIF(ALUT_LIBRARY)
 
Index: /code/branches/FICN/cmake/FindOggVorbis.cmake
===================================================================
--- /code/branches/FICN/cmake/FindOggVorbis.cmake	(revision 408)
+++ /code/branches/FICN/cmake/FindOggVorbis.cmake	(revision 409)
@@ -85,5 +85,5 @@
 IF(OGG_LIBRARY)
   SET(OGG_FOUND "YES")
-	MESSAGE(STATUS "Ogg was found. Libdir ${OGG_LIBRARY} Includedir ${OGG_INCLUDE_DIR}")
+	MESSAGE(STATUS "Ogg was found.")
 ENDIF(OGG_LIBRARY)
 
@@ -91,5 +91,5 @@
 IF(VORBIS_LIBRARY)
   SET(VORBIS_FOUND "YES")
-	MESSAGE(STATUS "Vorbis was found. Libdir ${VORBIS_LIBRARY} Includedir ${VORBIS_INCLUDE_DIR}")
+	MESSAGE(STATUS "Vorbis was found.")
 ENDIF(VORBIS_LIBRARY)
 
Index: /code/branches/FICN/cmake/FindOpenAL.cmake
===================================================================
--- /code/branches/FICN/cmake/FindOpenAL.cmake	(revision 408)
+++ /code/branches/FICN/cmake/FindOpenAL.cmake	(revision 409)
@@ -83,5 +83,5 @@
 IF(OPENAL_LIBRARY)
   SET(OPENAL_FOUND "YES")
-	MESSAGE(STATUS "OpenAL was found. Libdir ${OPENAL_LIBRARY} Includedir ${OPENAL_INCLUDE_DIR}")
+	MESSAGE(STATUS "OpenAL was found.")
 ENDIF(OPENAL_LIBRARY)
 
Index: /code/branches/FICN/src/audio/AudioBuffer.h
===================================================================
--- /code/branches/FICN/src/audio/AudioBuffer.h	(revision 408)
+++ /code/branches/FICN/src/audio/AudioBuffer.h	(revision 409)
@@ -2,11 +2,5 @@
 #define AUDIOBUFFER_H_
 
-#include <iostream>
-#include <string>
-#include <vector>
-
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
+#include "AudioIncludes.h"
 
 namespace audio
Index: /code/branches/FICN/src/audio/AudioManager.h
===================================================================
--- /code/branches/FICN/src/audio/AudioManager.h	(revision 408)
+++ /code/branches/FICN/src/audio/AudioManager.h	(revision 409)
@@ -2,11 +2,5 @@
 #define AUDIOMANAGER_H_
 
-#include <iostream>
-#include <string>
-#include <vector>
-
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
+#include "AudioIncludes.h"
 
 #include "AudioBuffer.h"
Index: /code/branches/FICN/src/audio/AudioSource.h
===================================================================
--- /code/branches/FICN/src/audio/AudioSource.h	(revision 408)
+++ /code/branches/FICN/src/audio/AudioSource.h	(revision 409)
@@ -2,11 +2,5 @@
 #define AUDIOSOURCE_H_
 
-#include <iostream>
-#include <string>
-#include <vector>
-
-#include <AL/al.h>
-#include <AL/alc.h>
-#include <AL/alut.h>
+#include "AudioIncludes.h"
 
 namespace audio
Index: /code/branches/FICN/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/audio/CMakeLists.txt	(revision 408)
+++ /code/branches/FICN/src/audio/CMakeLists.txt	(revision 409)
@@ -6,4 +6,5 @@
 	AudioBuffer.cc
 	AudioSource.cc
+	AudioStream.cc
 )
 SET(INC_FILES 
@@ -11,4 +12,5 @@
 	AudioBuffer.h
 	AudioSource.h
+	AudioStream.h
 )
 
Index: de/branches/FICN/src/audio/_Ambient.cc
===================================================================
--- /code/branches/FICN/src/audio/_Ambient.cc	(revision 408)
+++ 	(revision )
@@ -1,22 +1,0 @@
-#include <iostream>
-#include <string>
-#include "Ambient.h"
-
-namespace audio
-{
-	Ambient::Ambient(std::string audioFile)
-	{
-		a = new AudioObject(audioFile);
-	}
-	
-	Ambient::~Ambient()
-	{	
-		
-	}
-	
-	void Ambient::play()
-	{
-		a->play();	
-	}
-}
-
Index: de/branches/FICN/src/audio/_Ambient.h
===================================================================
--- /code/branches/FICN/src/audio/_Ambient.h	(revision 408)
+++ 	(revision )
@@ -1,24 +1,0 @@
-#ifndef __CLASS_AMBIENT_H__
-#define __CLASS_AMBIENT_H__
-
-#include <iostream>
-#include "../../include/AL/al.h"
-#include "../../include/AL/alc.h"
-#include "../../include/AL/alut.h"
-
-#include "AudioObject.h"
-
-namespace audio
-{
-	class Ambient
-	{
-	public:
-		Ambient(std::string audioFile);
-		~Ambient();
-		void play();
-	private:
-		AudioObject* a;
-	};
-}
-
-#endif
Index: de/branches/FICN/src/audio/_AudioObject.h
===================================================================
--- /code/branches/FICN/src/audio/_AudioObject.h	(revision 408)
+++ 	(revision )
@@ -1,38 +1,0 @@
-#ifndef AUDIOOBJECT_H_
-#define AUDIOOBJECT_H_
-
-#include <iostream>
-#include "../../include/AL/al.h"
-#include "../../include/AL/alc.h"
-#include "../../include/AL/alut.h"
-
-namespace audio
-{
-	class AudioObject
-	{
-	public:
-		AudioObject(std::string audioFile);
-		~AudioObject();
-
-		void play();
-		void pause();
-		void stop();
-
-	private:
-		ALboolean LoadALData();	
-		void SetListenerValues();
-		void KillALData();
-		
-		std::string audioFile_;
-		
-		ALuint Buffer;
-		ALuint Source;
-		ALfloat SourcePos[3];
-		ALfloat SourceVel[3];
-		ALfloat ListenerPos[3];
-		ALfloat ListenerVel[3];
-		ALfloat ListenerOri[6];
-	};	
-}
-
-#endif /*AUDIOOBJECT_H_*/